import { EventEmitter } from '../../../stencil-public-runtime';
import { FormValue, PredefinedValues, Root } from './types';
export declare class PnMultiRowConnectedDropdown {
    hostElement: Element;
    dropdownData: string | Root[];
    languageCode: string;
    label: string;
    firstDropdownLabel: string;
    secondDropdownLabel: string;
    dropdownPlaceholder: string;
    addRowText: string;
    inputFieldLabel: string;
    inputFieldPlaceholder: string;
    disabledDates: string;
    dateButtonText: string;
    datePlaceholder: string;
    dateDaysFromToday: number;
    allowMultipleRows: boolean;
    allowMultipleDates: boolean;
    startDateLabel: string;
    endDateLabel: string;
    multiDateHelperText: string;
    generateDatesButtonText: string;
    saveDateButtonText: string;
    noDatesText: string;
    yearsToAddToEndDate: number;
    minAmount: number;
    errorMessageEmpty: string;
    errorMessageMinAmount: string;
    minWarningAmount: number;
    warningMessageMinAmount: string;
    rowCount: number;
    rowData: PredefinedValues[];
    formValues: FormValue[];
    private _buttonValueName;
    private _firstDropdownValueName;
    private _secondDropdownValueName;
    private _inputValueName;
    private _dateValueName;
    allFormValues: EventEmitter<string>;
    private _defaultRow;
    componentWillLoad(): void;
    componentDidLoad(): void;
    emitValuesIfValid(): void;
    predefinedValueChange(e: any): void;
    deleteRowEvent(e: any): void;
    generateUniqueId(): string;
    addRow(): void;
    setDaysArr(): void;
    render(): any;
}
